Add debtor Communication Channel
import requests
url = "https://api.paywise.de/v1/debtors/{id}/communicationchannels/"
payload = { "value": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>'})
};
fetch('https://api.paywise.de/v1/debtors/{id}/communicationchannels/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/v1/debtors/{id}/communicationchannels/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"value\": \"<string>\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/debtors/{id}/communicationchannels/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"value\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/v1/debtors/{id}/communicationchannels/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "<string>"
}
'{
"href": "<string>",
"acting_as": "consumer",
"addresses": [
{
"street": "<string>",
"zip": "<string>",
"city": "<string>",
"country": "AF"
}
],
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"id": "<string>",
"your_reference": "<string>",
"person": {
"first_name": "<string>",
"last_name": "<string>",
"salutation": "<string>",
"birth_date": "2023-12-25",
"death_date": "2023-12-25"
},
"organization": {
"name": "<string>"
},
"communication_channels": [
{
"type": "email",
"value": "<string>"
}
],
"bank_accounts": [
{
"iban": "<string>",
"bic": "<string>"
}
],
"metadata": [
{
"type": "user:reference",
"value": "<string>"
}
],
"events": [
{
"type": "registration",
"title": "<string>",
"occurence": "2023-11-07T05:31:56Z",
"your_reference": "<string>",
"description": "<string>",
"location": "<string>"
}
]
}debtors
Add debtor Communication Channel
Add a communication channel to an existing debtor.
POST
/
v1
/
debtors
/
{id}
/
communicationchannels
/
Add debtor Communication Channel
import requests
url = "https://api.paywise.de/v1/debtors/{id}/communicationchannels/"
payload = { "value": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>'})
};
fetch('https://api.paywise.de/v1/debtors/{id}/communicationchannels/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/v1/debtors/{id}/communicationchannels/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"value\": \"<string>\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/debtors/{id}/communicationchannels/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"value\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/v1/debtors/{id}/communicationchannels/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "<string>"
}
'{
"href": "<string>",
"acting_as": "consumer",
"addresses": [
{
"street": "<string>",
"zip": "<string>",
"city": "<string>",
"country": "AF"
}
],
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"id": "<string>",
"your_reference": "<string>",
"person": {
"first_name": "<string>",
"last_name": "<string>",
"salutation": "<string>",
"birth_date": "2023-12-25",
"death_date": "2023-12-25"
},
"organization": {
"name": "<string>"
},
"communication_channels": [
{
"type": "email",
"value": "<string>"
}
],
"bank_accounts": [
{
"iban": "<string>",
"bic": "<string>"
}
],
"metadata": [
{
"type": "user:reference",
"value": "<string>"
}
],
"events": [
{
"type": "registration",
"title": "<string>",
"occurence": "2023-11-07T05:31:56Z",
"your_reference": "<string>",
"description": "<string>",
"location": "<string>"
}
]
}Authorizations
tokenAuthtokenAuth
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
email- E-Mailphone- Telefonmobile_phone- Mobiltelefonfax- Faxskype- Skypefacebook_messenger- Facebook Messengerimessage- iMessagewhatsapp- WhatAappfacebook- Facebooktwitter- Twitterlinkedin- Linkedinxing- Xingsocial_various- Anderes Social Mediumwebsite_url- Website URLweb_various- Andere Web-Quelle
Available options:
email, phone, mobile_phone, fax, skype, facebook_messenger, imessage, whatsapp, facebook, twitter, linkedin, xing, social_various, website_url, web_various Response
201 - application/json
